RegionAccessException (Apache Geode 1.3.0)
Date: 2017-10-26

org.apache.geode.cache

## Class RegionAccessException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.apache.geode.GemFireException
        - - org.apache.geode.cache.CacheRuntimeException
          - - org.apache.geode.cache.RoleException
            - - org.apache.geode.cache.RegionRoleException
              - - org.apache.geode.cache.RegionAccessException

- All Implemented Interfaces:
    java.io.Serializable

  Deprecated.
  the MembershipAttributes API is scheduled to be removed

      public class RegionAccessException
      extends RegionRoleException

  Indicates that an attempt to access the region has failed. Failure is due to one or more missing `required roles`. Region operations may throw this exception when the `MembershipAttributes` have been configured with `LossAction.NO_ACCESS` or `LossAction.LIMITED_ACCESS`.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RegionAccessException(java.lang.String s, java.lang.String regionFullPath, java.util.Set missingRoles)` Deprecated. Constructs a `RegionAccessException` with a message.
    `RegionAccessException(java.lang.String s, java.lang.String regionFullPath, java.util.Set missingRoles, java.lang.Throwable ex)` Deprecated. Constructs a `RegionAccessException` with a message and a cause.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.Set` | `getMissingRoles()` Deprecated. Returns the missing required roles that caused this exception.

    - ### Methods inherited from class org.apache.geode.cache.RegionRoleException

      `getRegionFullPath`

    - ### Methods inherited from class org.apache.geode.cache.CacheRuntimeException

      `toString`

    - ### Methods inherited from class org.apache.geode.GemFireException

      `getRootCause`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### RegionAccessException

          public RegionAccessException(java.lang.String s,
                                       java.lang.String regionFullPath,
                                       java.util.Set missingRoles)

      Deprecated.
      Constructs a `RegionAccessException` with a message.
      Parameters:
        `s` - the String message
        `regionFullPath` - full path of region for which access was attempted
        `missingRoles` - the missing required roles that caused this exception

    - #### RegionAccessException

          public RegionAccessException(java.lang.String s,
                                       java.lang.String regionFullPath,
                                       java.util.Set missingRoles,
                                       java.lang.Throwable ex)

      Deprecated.
      Constructs a `RegionAccessException` with a message and a cause.
      Parameters:
        `s` - the String message
        `regionFullPath` - full path of region for which access was attempted
        `missingRoles` - the missing required roles that caused this exception
        `ex` - the Throwable cause

  - ### Method Detail

    - #### getMissingRoles

          public java.util.Set getMissingRoles()

      Deprecated.
      Returns the missing required roles that caused this exception.
      Returns:
        the missing required roles that caused this exception